Bug 149958 - x11-toolkits/ocaml-lablgtk2's varcc should (maybe) be executable
Summary: x11-toolkits/ocaml-lablgtk2's varcc should (maybe) be executable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-25 09:50 UTC by Lapo Luchini
Modified: 2013-03-05 20:32 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lapo Luchini 2010-08-25 09:50:00 UTC
I'm not really sure this is the correct solution (I know very little about OCaml or lablgtk), but while upgrading devel/monotone-viz to use system lablgtk2 instead of the contained one, I get the following error:

[...]
ocamlopt.opt  -I /usr/local/lib/ocaml/lablgtk2 -I glib  -c query.ml
ocamlopt.opt  -I /usr/local/lib/ocaml/lablgtk2 -I glib  -c app.ml
ocamlopt.opt  -I /usr/local/lib/ocaml/lablgtk2 -I glib  -c main.ml
cd glib ; /usr/local/lib/ocaml/lablgtk2/varcc -static gspawn_tags.var
/usr/local/lib/ocaml/lablgtk2/varcc: Permission denied
gmake: *** [glib/gspawn_tags.c] Error 126
*** Error code 1

Fix: 

Temporary fix:
# chmod +x /usr/local/lib/ocaml/lablgtk2/varcc

Permanent fix: up to the maintainer or lablgtk2, but I guess some hacking of the lablgtk2 port.
How-To-Repeat: 
Compile devel/monotone-viz with
CONFIGURE_ARGS+=	--without-local-lablgtk
Comment 1 Edwin Groothuis freebsd_committer 2010-08-25 09:50:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Stanislav Sedov freebsd_committer 2010-12-05 05:46:52 UTC
State Changed
From-To: open->closed

Fixed in the latest version.
Comment 3 Lapo Luchini 2011-01-19 10:50:16 UTC
Actually, I can't see this PR "fixed" in latest version, varcc is still
not executable.
Do yo mean it is right this way or closing this PR together with
ports/152461 was simply an accident?
Comment 4 Stanislav Sedov freebsd_committer 2011-01-19 19:10:26 UTC
State Changed
From-To: closed->open

Was closed by an accident, sorry.
Comment 5 Thomas Abthorpe freebsd_committer 2011-11-05 04:12:15 UTC
Responsible Changed
From-To: stas->freebsd-ports-bugs

- back to the heap
Comment 6 Brendan Fabeny freebsd_committer 2011-11-19 10:28:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 7 dfilter service freebsd_committer 2013-03-05 20:22:15 UTC
Author: bf
Date: Tue Mar  5 20:22:02 2013
New Revision: 313476
URL: http://svnweb.freebsd.org/changeset/ports/313476

Log:
  update x11-toolkits/ocaml-lablgtk2 to 2.16.0+bugfixes, and adjust
  dependent ports
  
  PR:		144982, 149958
  Reviewed by:	johans (earlier version of the patch)

Added:
  head/x11-toolkits/ocaml-lablgtk2/files/patch-20130219   (contents, props changed)
Deleted:
  head/x11-toolkits/ocaml-lablgtk2/files/patch-configure
Modified:
  head/devel/frama-c/Makefile   (contents, props changed)
  head/devel/monotone-viz/Makefile   (contents, props changed)
  head/devel/ocaml-ulex/Makefile   (contents, props changed)
  head/games/freetennis/Makefile   (contents, props changed)
  head/lang/opa/Makefile
  head/math/alt-ergo/Makefile   (contents, props changed)
  head/math/coq/Makefile   (contents, props changed)
  head/math/ocaml-ocamlgraph/Makefile   (contents, props changed)
  head/net-p2p/mldonkey-core/Makefile   (contents, props changed)
  head/net-p2p/mldonkey-gui/Makefile   (contents, props changed)
  head/net-p2p/mldonkey/Makefile   (contents, props changed)
  head/net/unison-devel/Makefile
  head/net/unison/Makefile
  head/net/unison232/Makefile
  head/x11-toolkits/ocaml-lablgtk2/Makefile   (contents, props changed)
  head/x11-toolkits/ocaml-lablgtk2/distinfo   (contents, props changed)
  head/x11-toolkits/ocaml-lablgtk2/pkg-plist   (contents, props changed)

Modified: head/devel/frama-c/Makefile
==============================================================================
--- head/devel/frama-c/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/devel/frama-c/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,14 +1,10 @@
-# New ports collection makefile for:    frama-c
-# Date created:         25 May 2011
-# Whom:                 b.f. <bf@FreeBSD.org>
-#
+# Created by: b.f. <bf@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=		frama-c
 DISTVERSIONPREFIX=	Nitrogen-
 DISTVERSION=		20111001
-PORTREVISION=		2
+PORTREVISION=		3
 CATEGORIES=		devel
 MASTER_SITES=		http://frama-c.com/download/ LOCAL/bf
 
@@ -73,6 +69,10 @@ CONFIGURE_ARGS+=	--with-no-plugin
 PLIST_SUB+=		PLUGINS="@comment "
 .endif
 
+post-extract:
+	@cd ${WRKSRC}; ${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} \
+		ocamlgraph.tar.gz ${EXTRACT_AFTER_ARGS}
+
 post-patch:
 	@${MKDIR} ${WRKSRC}/tests/report \
 		${WRKSRC}/tests/wp \
@@ -106,11 +106,18 @@ post-patch:
 		-e '\|case $$ALTERGO_VERSION in|{N; s|0\.92\.2|0.94*|;}' \
 		-e 's|HAS_COQ=$$||' \
 			${WRKSRC}/configure
+	@${REINPLACE_CMD} -Ee 's@(\+|/)(lablgtk2)@\1site-lib/\2@' \
+		${WRKSRC}/Makefile \
+		${WRKSRC}/configure \
+		${WRKSRC}/ocamlgraph/configure \
+		${WRKSRC}/ocamlgraph/view_graph/Makefile \
+		${WRKSRC}/share/Makefile.plugin \
+		${WRKSRC}/src/kernel/dynamic.ml
 
 .if defined(WITH_GUI)
 pre-configure:
-	@(if [ ! -e ${LOCALBASE}/lib/ocaml/lablgtk2/gtkSourceView2.cmi -o \
-	! -e ${LOCALBASE}/lib/ocaml/lablgtk2/gnomeCanvas.cmi ] ; then \
+	@(if [ ! -e ${LOCALBASE}/${OCAML_SITELIBDIR}/lablgtk2/gtkSourceView2.cmi -o \
+	! -e ${LOCALBASE}/${OCAML_SITELIBDIR}/lablgtk2/gnomeCanvas.cmi ] ; then \
 	${ECHO_MSG} "==> The WITH_GUI option for ${PKGNAME} requires" ; \
 	${ECHO_MSG} "==> x11-toolkits/ocaml-lablgtk2 to be built" ; \
 	${ECHO_MSG} "==> WITH_GNOMECANVAS and WITH_GTKSOURCEVIEW2" ; \

Modified: head/devel/monotone-viz/Makefile
==============================================================================
--- head/devel/monotone-viz/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/devel/monotone-viz/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,27 +1,23 @@
-# New ports collection makefile for:   monotone-viz
-# Date created:        2 July 2006
-# Whom:            Tarasov Alexey <master@preved.cn>
-#
+# Created by: Tarasov Alexey <master@preved.cn>
 # $FreeBSD$
-#
 
 PORTNAME=	monotone-viz
 PORTVERSION=	1.0.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel
 MASTER_SITES=	http://oandrieu.nerim.net/monotone-viz/
 
 MAINTAINER=	lapo@lapo.it
 COMMENT=	Visual interface for Monotone VCS with revision graphs
 
+LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/COPYING
+
 BUILD_DEPENDS=	lablgtk2:${PORTSDIR}/x11-toolkits/ocaml-lablgtk2
 RUN_DEPENDS+=	dot:${PORTSDIR}/graphics/graphviz \
 		mtn:${PORTSDIR}/devel/monotone \
 		lablgtk2:${PORTSDIR}/x11-toolkits/ocaml-lablgtk2
 
-LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/COPYING
-
 USE_GMAKE=	yes
 USE_OCAML=	yes
 GNU_CONFIGURE=	yes

Modified: head/devel/ocaml-ulex/Makefile
==============================================================================
--- head/devel/ocaml-ulex/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/devel/ocaml-ulex/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,10 +1,5 @@
-# ex:ts=8
-# Ports collection makefile for:	ulex
-# Date created:			Mar 17, 2004
-# Whom:				ijliao
-#
+# Created by: ijliao
 # $FreeBSD$
-#
 
 PORTNAME=	ulex
 PORTVERSION=	1.1
@@ -25,6 +20,8 @@ ALL_TARGET=	all all.opt
 
 USE_GMAKE=	yes
 
+MAKE_JOBS_UNSAFE=	yes
+
 .if !defined(NOPORTDOCS)
 ALL_TARGET+=	doc
 PORTDOCS=	*

Modified: head/games/freetennis/Makefile
==============================================================================
--- head/games/freetennis/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/games/freetennis/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	freetennis
-# Date created:				07 Mar 2007
-# Whom:					Jean-Yves Lefort <jylefort@FreeBSD.org>
-#
+# Created by: Jean-Yves Lefort <jylefort@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	freetennis
 PORTVERSION=	0.4.8
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	games
 MASTER_SITES=	SF
 
@@ -18,7 +14,7 @@ BUILD_DEPENDS=	ocamlopt:${PORTSDIR}/lang
 		${OCAML_DEPENDS}
 RUN_DEPENDS=	${OCAML_DEPENDS}
 
-OCAML_DEPENDS=	${LOCALBASE}/lib/ocaml/lablgtk2/gtk.ml:${PORTSDIR}/x11-toolkits/ocaml-lablgtk2 \
+OCAML_DEPENDS=	${LOCALBASE}/lib/ocaml/site-lib/lablgtk2/gtk.ml:${PORTSDIR}/x11-toolkits/ocaml-lablgtk2 \
 		${LOCALBASE}/lib/ocaml/lablGL/gl.ml:${PORTSDIR}/graphics/ocaml-lablgl \
 		${LOCALBASE}/lib/ocaml/site-lib/camlimages/camlimages.a:${PORTSDIR}/graphics/ocaml-images \
 		${LOCALBASE}/lib/ocaml/site-lib/sdl/sdl.mli:${PORTSDIR}/devel/ocaml-sdl
@@ -33,6 +29,8 @@ post-patch:
 	@${REINPLACE_CMD} -e 's|sfxDir = "sfx"|sfxDir = "${DATADIR}/sfx"|; \
 		s|gfxDir = "graphics"|gfxDir = "${DATADIR}/graphics"|' \
 		${WRKSRC}/freetennis.ml
+	@${REINPLACE_CMD} -Ee 's@(\+)(lablgtk2)@\1site-lib/\2@' \
+		${WRKSRC}/Makefile
 
 pre-install:
 	@${RM} -f ${PLIST}

Modified: head/lang/opa/Makefile
==============================================================================
--- head/lang/opa/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/lang/opa/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -2,6 +2,7 @@
 
 PORTNAME=	opa
 PORTVERSION=	1.0.5.${GITVER}
+PORTREVISION=	1
 CATEGORIES=	lang
 MASTER_SITES=	http://download.opalang.org/tar-gz/
 DISTNAME=	${PORTNAME}_v${GITVER}

Modified: head/math/alt-ergo/Makefile
==============================================================================
--- head/math/alt-ergo/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/math/alt-ergo/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:    alt-ergo
-# Date created:         20 December 2011
-# Whom:                 b.f. <bf@FreeBSD.org>
-#
+# Created by: b.f. <bf@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	alt-ergo
 PORTVERSION=	0.94
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	math
 MASTER_SITES=	http://alt-ergo.lri.fr/http/ LOCAL/bf
 
@@ -50,10 +46,12 @@ post-patch:
 		\|/usr/share/gtksourceview-2.0|s|/usr|${PREFIX}|; }' \
 		-e 's|make -C|${GMAKE} -C|' \
 			${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -Ee 's@(\+|/)(lablgtk2)@\1site-lib/\2@' \
+		${WRKSRC}/configure
 
 .if defined(WITH_GUI)
 pre-configure:
-	@(if [ ! -e ${LOCALBASE}/lib/ocaml/lablgtk2/lablgtksourceview2.cmxa ] ; then \
+	@(if [ ! -e ${LOCALBASE}/${OCAML_SITELIBDIR}/lablgtk2/lablgtksourceview2.cmxa ] ; then \
 	${ECHO_MSG} "==> The WITH_GUI option for ${PKGNAME} requires" ; \
 	${ECHO_MSG} "==> x11-toolkits/ocaml-lablgtk2 to be built" ; \
 	${ECHO_MSG} "==> WITH_GTKSOURCEVIEW2" ; \

Modified: head/math/coq/Makefile
==============================================================================
--- head/math/coq/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/math/coq/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -3,6 +3,7 @@
 
 PORTNAME=	coq
 PORTVERSION=	8.4.1
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	math
 MASTER_SITES=	http://coq.inria.fr/distrib/V${COQVERSION}/files/ \

Modified: head/math/ocaml-ocamlgraph/Makefile
==============================================================================
--- head/math/ocaml-ocamlgraph/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/math/ocaml-ocamlgraph/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:   ocaml-ocamlgraph
-# Date created:        25 May 2004
-# Whom:                Joseph Koshy <jkoshy@freebsd.org>
-#
+# Created by: Joseph Koshy <jkoshy@freebsd.org>
 # $FreeBSD$
-#
 
 PORTNAME=	ocamlgraph
 PORTVERSION=	1.8.2
+PORTREVISION=	1
 CATEGORIES=	math
 MASTER_SITES=	http://ocamlgraph.lri.fr/download/
 PKGNAMEPREFIX=	ocaml-
@@ -30,6 +27,8 @@ PLIST_SUB+=	OCAMLGRAPHDIR="${OCAML_LIBDI
 ALL_TARGET=	all
 INSTALL_TARGET=	install install-findlib
 
+MAKE_JOBS_UNSAFE=	yes
+
 PORTSCOUT=	skipv:1.81
 
 .include <bsd.port.options.mk>
@@ -52,6 +51,10 @@ post-patch:
 .if empty(PORT_OPTIONS:MGUI)
 	# Override auto-detection
 	@${REINPLACE_CMD} -Ee 's/(LABLGTK2)=yes/\1=no/' ${WRKSRC}/configure
+.else
+	@${REINPLACE_CMD} -Ee 's@(\+|/)(lablgtk2)@\1site-lib/\2@' \
+		${WRKSRC}/configure \
+		${WRKSRC}/view_graph/Makefile
 .endif
 
 post-install:

Modified: head/net-p2p/mldonkey-core/Makefile
==============================================================================
--- head/net-p2p/mldonkey-core/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/net-p2p/mldonkey-core/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,13 +1,11 @@
-# New ports collection makefile for:	mldonkey core
-# Date created:		Sun Jun 15 19:49:31 UTC 2003
-# Whom:		Holger Lamm <holger@e-gitt.net> and Mario S F Ferreira <lioux@FreeBSD.org>
-#
+# Created by: Holger Lamm <holger@e-gitt.net> and Mario S F Ferreira <lioux@FreeBSD.org>
 # $FreeBSD$
-#
 
 # build only the CORE
 WITHOUT_GUI=	yes
 
+PORTREVISION=	0
+
 COMMENT=	Client 'core' for the MLDonkey peer-to-peer network
 
 MASTERDIR=	${.CURDIR}/../mldonkey

Modified: head/net-p2p/mldonkey-gui/Makefile
==============================================================================
--- head/net-p2p/mldonkey-gui/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/net-p2p/mldonkey-gui/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	mldonkey
-# Date created:		19 December 2002
-# Whom:			Holger Lamm <holger@e-gitt.net>
-#
+# Created by: Holger Lamm <holger@e-gitt.net>
 # $FreeBSD$
-#
 
 # build only the GUI
 WITHOUT_CORE=	yes

Modified: head/net-p2p/mldonkey/Makefile
==============================================================================
--- head/net-p2p/mldonkey/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/net-p2p/mldonkey/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	mldonkey
-# Date created:		21 August 2002
-# Whom:			Holger Lamm <holger@e-gitt.net>
-#
+# Created by: Holger Lamm <holger@e-gitt.net>
 # $FreeBSD$
-#
 
 PORTNAME=	mldonkey
 PORTVERSION=	3.1.2
+PORTREVISION?=	1
 CATEGORIES+=	net-p2p
 MASTER_SITES=	SF
 
@@ -74,7 +71,7 @@ PLIST_SUB+=	CORE="@comment " GUI="" GUIC
 .endif # !(defined(WITHOUT_GUI) || defined(WITHOUT_CORE))
 
 .if !defined(WITHOUT_GUI)
-BUILD_DEPENDS+=	${LOCALBASE}/lib/ocaml/lablgtk2/lablrsvg.cma:${PORTSDIR}/x11-toolkits/ocaml-lablgtk2
+BUILD_DEPENDS+=	${LOCALBASE}/lib/ocaml/site-lib/lablgtk2/lablrsvg.cma:${PORTSDIR}/x11-toolkits/ocaml-lablgtk2
 LIB_DEPENDS+=	rsvg-2:${PORTSDIR}/graphics/librsvg2
 
 CONFIGURE_ARGS+=--enable-gui=newgui2
@@ -120,6 +117,15 @@ post-patch:
 		-e 's|%%AUTOCONF%%|${AUTOCONF}|' \
 		-e 's/-O6//' \
 		${BUILD_WRKSRC}/config/Makefile.in
+	@${REINPLACE_CMD} -E \
+		-e 's@(\+)(lablgtk2)@\1site-lib/\2@' \
+		-e 's@(\+)(labl\$$\(GTK\))@\1site-lib/\2@' \
+		-e 's@(OCAMLLIB/)(\$$LABLGTK_NAME)@\1site-lib/\2@' \
+		${WRKSRC}/config/configure.in \
+		${WRKSRC}/config/Makefile.in
+	@${REINPLACE_CMD} -E \
+		-e 's@(#include <)(lablgtk2/)@\1site-lib/\2@'  \
+		${WRKSRC}/src/gtk2/gui/x11/systraystubs.c
 # update server.met provider
 .for file in \
 	src/daemon/common/commonOptions.ml \

Modified: head/net/unison-devel/Makefile
==============================================================================
--- head/net/unison-devel/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/net/unison-devel/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -3,6 +3,7 @@
 
 PORTNAME=	unison
 PORTVERSION=	2.45.28
+PORTREVISION=	1
 CATEGORIES=	net
 MASTER_SITES=	http://www.cis.upenn.edu/~bcpierce/unison/download/releases/${DISTNAME}/
 PKGNAMESUFFIX=	-devel
@@ -55,6 +56,10 @@ PATCH_DEPENDS+=	${BUILD_DEPENDS}
 .endif
 
 .if ${PORT_OPTIONS:MX11}
+post-patch:
+	@${REINPLACE_CMD} -Ee 's@(\+|/)(lablgtk2)@\1site-lib/\2@' \
+		${WRKSRC}/Makefile.OCaml
+
 post-build:
 	@${ECHO} Building text-only version
 	@${ECHO} ${WRKSRC}

Modified: head/net/unison/Makefile
==============================================================================
--- head/net/unison/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/net/unison/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -3,6 +3,7 @@
 
 PORTNAME=	unison
 PORTVERSION=	2.40.102
+PORTREVISION=	1
 CATEGORIES=	net
 MASTER_SITES=	http://www.cis.upenn.edu/~bcpierce/unison/download/releases/${DISTNAME}/
 DISTFILES=	${EXTRACT_ONLY} ${EXTRA_DOCS}
@@ -54,6 +55,10 @@ PATCH_DEPENDS+=	${BUILD_DEPENDS}
 .endif
 
 .if ${PORT_OPTIONS:MX11}
+post-patch:
+	@${REINPLACE_CMD} -Ee 's@(\+|/)(lablgtk2)@\1site-lib/\2@' \
+		${WRKSRC}/Makefile.OCaml
+
 post-build:
 	@${ECHO} Building text-only version
 	@${ECHO} ${WRKSRC}

Modified: head/net/unison232/Makefile
==============================================================================
--- head/net/unison232/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/net/unison232/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -3,7 +3,7 @@
 
 PORTNAME=	unison
 PORTVERSION=	2.32.52
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	net
 MASTER_SITES=	http://www.cis.upenn.edu/~bcpierce/unison/download/releases/${DISTNAME}/
 PKGNAMESUFFIX=	232
@@ -15,6 +15,8 @@ MAINTAINER=	mandree@FreeBSD.org
 # Implicit approval for port changes granted to Guido Falsi <madpilot@FreeBSD.org>
 COMMENT=	User-level file synchronization tool
 
+LICENSE=	GPLv3
+
 PLIST_SUB=	PORTVERSION=${PORTVERSION}
 USE_GMAKE=	yes
 WANT_GNOME=	yes
@@ -22,8 +24,6 @@ MAKE_ARGS=	CFLAGS=""
 
 MAKE_JOBS_UNSAFE=	yes
 
-LICENSE=	GPLv3
-
 OPTIONS_DEFINE= DOCS X11
 OPTIONS_DEFAULT=	DOCS X11
 
@@ -56,6 +56,10 @@ PATCH_DEPENDS+=	${BUILD_DEPENDS}
 .endif
 
 .if ${PORT_OPTIONS:MX11}
+post-patch:
+	@${REINPLACE_CMD} -Ee 's@(\+|/)(lablgtk2)@\1site-lib/\2@' \
+		${WRKSRC}/Makefile.OCaml
+
 post-build:
 	@${ECHO} Building text-only version
 	@${ECHO} ${WRKSRC}

Modified: head/x11-toolkits/ocaml-lablgtk2/Makefile
==============================================================================
--- head/x11-toolkits/ocaml-lablgtk2/Makefile	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/x11-toolkits/ocaml-lablgtk2/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,123 +1,127 @@
-# New ports collection makefile for:	lablgtk2
-# Date created:		2004-11-02
-# Whom:			Rene Ladan
-#
+# Created by: Rene Ladan
 # $FreeBSD$
 
 PORTNAME=	lablgtk2
-PORTVERSION=	2.14.2
-PORTREVISION=	3
+PORTVERSION=	2.16.0
 CATEGORIES=	x11-toolkits
-MASTER_SITES=	https://forge.ocamlcore.org/frs/download.php/561/ \
-		ftp://ftp.kurims.kyoto-u.ac.jp/pub/lang/olabl/ \
-		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/
+MASTER_SITES=	http://forge.ocamlcore.org/frs/download.php/979/ \
+		LOCAL/bf
 PKGNAMEPREFIX=	ocaml-
 DISTNAME=	lablgtk-${PORTVERSION}
 
 MAINTAINER=	bf@FreeBSD.org
 COMMENT=	An Objective Caml interface to GTK+ 2.x
 
+LICENSE=	LGPL21
+
 USE_GMAKE=	yes
 USE_GNOME=	gtk20
 USE_OCAML=	yes
-
-OPTIONS=	GLADE "With glade support" ON \
-		GNOMECANVAS "With gnomecanvas support" ON \
-		GNOMEUI "With gnomeui support" ON \
-		GTKGL "With gtkglarea support" ON \
-		GTKSOURCEVIEW2 "With gtksourceview2 support" ON \
-		GTKSPELL "With gtkspell support" ON \
-		RSVG "With rsvg support" ON
-#		GNOMEPANEL "With gnomepanel support" OFF \
-
-DOCSDIR=	${OCAML_DOCSDIR}/${PORTNAME}
-EXAMPLESDIR=	${OCAML_EXAMPLESDIR}/${PORTNAME}
+USE_OCAML_FINDLIB=	yes
+USE_OCAMLFIND_PLIST=	yes
+USE_OCAML_LDCONFIG=	yes
+USE_OCAML_WASH= 	yes
+
+OPTIONS_DEFINE =	GLADE GNOMECANVAS GNOMEUI GTKGLAREA GTKSOURCEVIEW2 GTKSPELL \
+			LIBRSVG2
+OPTIONS_DEFAULT =	${OPTIONS_DEFINE}
+
+GNOMECANVAS_DESC=	GnomeCanvas support
+GNOMEUI_DESC=		GNOME 2 UI support
+GTKGLAREA_DESC=		GtkGLArea support
+GTKSOURCEVIEW2_DESC=	GtkSourceView 2 support
+GTKSPELL_DESC=		GtkSpell support
+#GNOMEPANEL_DESC=	GNOME Panel support
 
 HAS_CONFIGURE=	yes
 ALL_TARGET=	all opt
 MAKE_JOBS_UNSAFE=	yes
 
-CONFIGURE_ARGS=	--prefix=${PREFIX} --with-libdir=${PREFIX}/lib/ocaml --without-gtksourceview
+CONFIGURE_ARGS=	--prefix=${PREFIX} --with-libdir=${PREFIX}/${OCAML_LIBDIR} \
+		--without-gtksourceview
+CONFIGURE_ENV=	CAMLP4O="camlp4 pa_o.cmo pa_op.cmo pr_dump.cmo"
 
 PATTERN=	[[:space:]]*(do|then)?[[:space:]]*)cp([[:space:]]
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MDOCS}
+DOCSDIR=	${OCAML_DOCSDIR}/${PORTNAME}
+PORTDOCS=	COPYING README
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+EXAMPLESDIR=	${OCAML_EXAMPLESDIR}/${PORTNAME}
+PORTEXAMPLES=	*
+.endif
 
-.if defined(WITH_GTKGL)
+.if ${PORT_OPTIONS:MGTKGLAREA}
 CONFIGURE_ARGS+=	--with-gl
 BUILD_DEPENDS+=	lablgl:${PORTSDIR}/graphics/ocaml-lablgl
 RUN_DEPENDS+=	lablgl:${PORTSDIR}/graphics/ocaml-lablgl
-LIB_DEPENDS+=	gtkgl-2.0.1:${PORTSDIR}/x11-toolkits/gtkglarea2
-PLIST_SUB+=	GL=""
+LIB_DEPENDS+=	gtkgl-2.0:${PORTSDIR}/x11-toolkits/gtkglarea2
+EXAMPLES_SUBDIRS+=	GL
 .else
 CONFIGURE_ARGS+=	--without-gl
-PLIST_SUB+=	GL="@comment "
 .endif
 
-.if defined(WITH_GLADE)
+.if ${PORT_OPTIONS:MGLADE}
 CONFIGURE_ARGS+=	--with-glade
 USE_GNOME+=	libglade2
 PLIST_SUB+=	GLADE=""
+EXAMPLES_SUBDIRS+=	glade
 .else
 CONFIGURE_ARGS+=	--without-glade
 PLIST_SUB+=	GLADE="@comment "
 .endif
 
-.if defined(WITH_GNOMEUI)
+.if ${PORT_OPTIONS:MGNOMEUI}
 CONFIGURE_ARGS+=	--with-gnomeui
 USE_GNOME+=	libgnomeui
-PLIST_SUB+=	GNOMEUI=""
 .else
 CONFIGURE_ARGS+=	--without-gnomeui
-PLIST_SUB+=	GNOMEUI="@comment "
 .endif
 
-.if defined(WITH_GNOMECANVAS)
+.if ${PORT_OPTIONS:MGNOMECANVAS}
 CONFIGURE_ARGS+=	--with-gnomecanvas
 USE_GNOME+=	libgnomecanvas
-PLIST_SUB+=	GNOMECANVAS=""
+EXAMPLES_SUBDIRS+=	canvas
 .else
 CONFIGURE_ARGS+=	--without-gnomecanvas
-PLIST_SUB+=	GNOMECANVAS="@comment "
 .endif
 
-.if defined(WITH_RSVG)
+.if ${PORT_OPTIONS:MLIBRSVG2}
 CONFIGURE_ARGS+=	--with-rsvg
 USE_GNOME+=	librsvg2
-PLIST_SUB+=	RSVG=""
+EXAMPLES_SUBDIRS+=	rsvg
 .else
 CONFIGURE_ARGS+=	--without-rsvg
-PLIST_SUB+=	RSVG="@comment "
 .endif
 
-#.if defined(WITH_GNOMEPANEL)
+#.if ${PORT_OPTIONS:MGNOMEPANEL}
 #CONFIGURE_ARGS+=	--with-panel
 #USE_GNOME+=	gnomepanel
-#PLIST_SUB+=	PANEL=""
+#EXAMPLES_SUBDIRS+=	panel
 #.else
 CONFIGURE_ARGS+=	--without-panel
-PLIST_SUB+=	PANEL="@comment "
 #.endif
 
-.if defined(WITH_GTKSOURCEVIEW2)
+.if ${PORT_OPTIONS:MGTKSOURCEVIEW2}
 CONFIGURE_ARGS+=	--with-gtksourceview2
 USE_GNOME+=	gtksourceview2
-PLIST_SUB+=	GTKSOURCEVIEW2=""
+EXAMPLES_SUBDIRS+=	sourceview
 .else
 CONFIGURE_ARGS+=	--without-gtksourceview2
-PLIST_SUB+=	GTKSOURCEVIEW2="@comment "
 .endif
 
-.if defined(WITH_GTKSPELL)
-LIB_DEPENDS+=	gtkspell.0:${PORTSDIR}/textproc/gtkspell
+.if ${PORT_OPTIONS:MGTKSPELL}
+LIB_DEPENDS+=	gtkspell:${PORTSDIR}/textproc/gtkspell
 CONFIGURE_ARGS+=	--with-gtkspell
-PLIST_SUB+=	GTKSPELL=""
 .else
 CONFIGURE_ARGS+=	--without-gtkspell
-PLIST_SUB+=	GTKSPELL="@comment "
 .endif
 
-post-extract:
+post-patch:
 	@${REINPLACE_CMD} -E \
 		-e 's|^(CFLAGS[[:space:]]*\+=[[:space:]]*-O)|\1 ${CFLAGS}|' \
 		-e 's,^(${PATTERN}+.*INSTALLDIR),\1\$${BSD_INSTALL_DATA} \3,' \
@@ -126,39 +130,14 @@ post-extract:
 		${WRKSRC}/src/Makefile
 
 post-install:
-	@${INSTALL_DATA} ${WRKSRC}/META ${PREFIX}/${OCAML_LIBDIR}/${PORTNAME}
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}/README
-	@${INSTALL_DATA} ${WRKSRC}/COPYING ${DOCSDIR}/COPYING
+	@cd ${WRKSRC} ; ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
 .endif
-.if !defined(NOPORTEXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 	@${MKDIR} ${EXAMPLESDIR}
-	@${INSTALL_DATA} ${WRKSRC}/examples/image256x256.rgb \
-		${WRKSRC}/examples/test.xpm \
-		${WRKSRC}/examples/*.ml ${EXAMPLESDIR}
-	@${MKDIR} ${EXAMPLESDIR}/text
-	@${INSTALL_DATA} ${WRKSRC}/examples/text/* ${EXAMPLESDIR}/text
-.if defined(WITH_GTKGL)
-	@${MKDIR} ${EXAMPLESDIR}/GL
-	@${INSTALL_DATA} ${WRKSRC}/examples/GL/* ${EXAMPLESDIR}/GL
-.endif
-.if defined(WITH_GNOMECANVAS)
-	@${MKDIR} ${EXAMPLESDIR}/canvas
-	@${INSTALL_DATA} ${WRKSRC}/examples/canvas/* ${EXAMPLESDIR}/canvas
-.endif
-.if defined(WITH_GLADE)
-	@${MKDIR} ${EXAMPLESDIR}/glade
-	@${INSTALL_DATA} ${WRKSRC}/examples/glade/* ${EXAMPLESDIR}/glade
-.endif
-.if defined(WITH_GNOMEPANEL)
-	@${MKDIR} ${EXAMPLESDIR}/panel
-	@${INSTALL_DATA} ${WRKSRC}/examples/panel/* ${EXAMPLESDIR}/panel
-.endif
-.if defined(WITH_RSVG)
-	@${MKDIR} ${EXAMPLESDIR}/rsvg
-	@${INSTALL_DATA} ${WRKSRC}/examples/rsvg/* ${EXAMPLESDIR}/rsvg
-.endif
+	@cd ${WRKSRC}/examples ; ${COPYTREE_SHARE} \
+	"*.ml *.png *.rgb *.xpm text ${EXAMPLES_SUBDIRS}" ${EXAMPLESDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/x11-toolkits/ocaml-lablgtk2/distinfo
==============================================================================
--- head/x11-toolkits/ocaml-lablgtk2/distinfo	Tue Mar  5 20:20:51 2013	(r313475)
+++ head/x11-toolkits/ocaml-lablgtk2/distinfo	Tue Mar  5 20:22:02 2013	(r313476)
@@ -1,2 +1,2 @@
-SHA256 (lablgtk-2.14.2.tar.gz) = 4981abedabdc462303f345104042c88af227ccd50fd30a9bf48fd353ab02d0ba
-SIZE (lablgtk-2.14.2.tar.gz) = 779803
+SHA256 (lablgtk-2.16.0.tar.gz) = a0ea9752eb257dadcfc2914408fff339d4c34357802f02c63329dd41b777de2f
+SIZE (lablgtk-2.16.0.tar.gz) = 787217

Added: head/x11-toolkits/ocaml-lablgtk2/files/patch-20130219
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/ocaml-lablgtk2/files/patch-20130219	Tue Mar  5 20:22:02 2013	(r313476)
@@ -0,0 +1,1744 @@
+diff --git CHANGES CHANGES
+index 33e393d..33c3e8b 100644
+--- CHANGES
++++ CHANGES
+@@ -1,5 +1,17 @@
+ LablGTK changes log
+ 
++2013.2.19 [Jacques]
++  * fix compatibility with ocaml 4.01 (?lab for non-optional arguments)
++
++2012.08.26 [Jacques]
++  * detect findlib during configuration
++  * support DESTDIR with findlib-install
++
++2012.08.26 [Jacques]
++  * indicate that only old-install supports DESTDIR
++  * have old-install copy the META file too
++  * cleanup the two phases of findlib-install
++
+ In Lablgtk-2.16.0:
+ 
+ 2012.08.23 [Jacques]
+diff --git README README
+index a31230c..6c2719a 100755
+--- README
++++ README
+@@ -67,10 +67,9 @@ How to compile:
+                 override autodetected gtksourceview2 support
+         --enable-debug: enable debug mode
+ 
+-  Type "make install" or "make install DESTDIR=..." to install using
+-  findlib. The commands lablgtk2, gdk_pixbuf_mlsource, and
+-  lablgladecc2, are copied directly to the configured executable
+-  directory. Installation paths are prefixed by DESTDIR when given.
++  Type "make install" to install using findlib.
++  The commands lablgtk2, gdk_pixbuf_mlsource, and lablgladecc2,
++  are copied directly to the configured executable directory.
+ 
+   The following findlib packages are provided (according to configuration):
+ 
+@@ -87,10 +86,11 @@ How to compile:
+         lablgtk2.sourceview
+         lablgtk2.sourceview2
+ 
+-  You can alternatively use "make old-install" to use the old
++  You can alternatively use "make old-install" or
++  "make old-install DESTDIR=/my/prefix" to use the old
+   installation procedure, which does not rely on findlib.
+   By default, the library is installed at +lablgtk2.
+-  Again, installation paths are prefixed by DESTDIR when given.
++  All installation paths are prefixed by DESTDIR when given.
+ 
+ Contents:
+ 
+diff --git config.make.in config.make.in
+index e689bda..14d3cdd 100644
+--- config.make.in
++++ config.make.in
+@@ -9,6 +9,9 @@ OCAMLDOC=@OCAMLDOC@
+ CAMLMKTOP=@CAMLMKTOP@
+ CAMLMKLIB=@CAMLMKLIB@
+ CAMLP4O=@CAMLP4O@
++OCAMLFIND=@OCAMLFIND@
++FINDLIBDIR=@FINDLIBDIR@
++OCAMLLDCONF=@OCAMLLDCONF@
+ CAMLBEST=@OCAMLBEST@
+ CAMLWIN32=@OCAMLWIN32@
+ CAMLDEP=@OCAMLDEP@
+@@ -56,9 +59,11 @@ BINDIR=$(DESTDIR)@bindir@
+ # where to install the man page
+ MANDIR=$(DESTDIR)@mandir@
+ 
++LABLGTKDIR=@LIBDIR@/lablgtk2
+ INSTALLDIR=$(DESTDIR)@LIBDIR@/lablgtk2
+ DLLDIR=$(DESTDIR)@LIBDIR@/stublibs
+ LABLGLDIR=@LABLGLDIR@
++FLINSTALLDIR=$(DESTDIR)$(FINDLIBDIR)/lablgtk2
+ 
+ FILT = -Wl,--export-dynamic
+ clean_libs = $(subst -pthread,-ldopt -pthread -ccopt -pthread,$(subst --rpath,-rpath,$(filter-out $(FILT),$(1))))
+diff --git configure configure
+index 44a943b..8cdc264 100755
+--- configure
++++ configure
+@@ -1,11 +1,9 @@
+ #! /bin/sh
+ # Guess values for system-dependent variables and create Makefiles.
+-# Generated by GNU Autoconf 2.68.
++# Generated by GNU Autoconf 2.69.
+ #
+ #
+-# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
+-# 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Free Software
+-# Foundation, Inc.
++# Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
+ #
+ #
+ # This configure script is free software; the Free Software Foundation
+@@ -134,6 +132,31 @@ export LANGUAGE
+ # CDPATH.
+ (unset CDPATH) >/dev/null 2>&1 && unset CDPATH
+ 
++# Use a proper internal environment variable to ensure we don't fall
++  # into an infinite loop, continuously re-executing ourselves.
++  if test x"${_as_can_reexec}" != xno && test "x$CONFIG_SHELL" != x; then
++    _as_can_reexec=no; export _as_can_reexec;
++    # We cannot yet assume a decent shell, so we have to provide a
++# neutralization value for shells without unset; and this also
++# works around shells that cannot unset nonexistent variables.
++# Preserve -v and -x to the replacement shell.
++BASH_ENV=/dev/null
++ENV=/dev/null
++(unset BASH_ENV) >/dev/null 2>&1 && unset BASH_ENV ENV
++case $- in # ((((
++  *v*x* | *x*v* ) as_opts=-vx ;;
++  *v* ) as_opts=-v ;;
++  *x* ) as_opts=-x ;;
++  * ) as_opts= ;;
++esac
++exec $CONFIG_SHELL $as_opts "$as_myself" ${1+"$@"}
++# Admittedly, this is quite paranoid, since all the known shells bail
++# out after a failed `exec'.
++$as_echo "$0: could not re-execute with $CONFIG_SHELL" >&2
++as_fn_exit 255
++  fi
++  # We don't want this to propagate to other subprocesses.
++          { _as_can_reexec=; unset _as_can_reexec;}
+ if test "x$CONFIG_SHELL" = x; then
+   as_bourne_compatible="if test -n \"\${ZSH_VERSION+set}\" && (emulate sh) >/dev/null 2>&1; then :
+   emulate sh
+@@ -167,7 +190,8 @@ if ( set x; as_fn_ret_success y && test x = \"\$1\" ); then :
+ else
+   exitcode=1; echo positional parameters were not saved.
+ fi
+-test x\$exitcode = x0 || exit 1"
++test x\$exitcode = x0 || exit 1
++test -x / || exit 1"
+   as_suggested="  as_lineno_1=";as_suggested=$as_suggested$LINENO;as_suggested=$as_suggested" as_lineno_1a=\$LINENO
+   as_lineno_2=";as_suggested=$as_suggested$LINENO;as_suggested=$as_suggested" as_lineno_2a=\$LINENO
+   eval 'test \"x\$as_lineno_1'\$as_run'\" != \"x\$as_lineno_2'\$as_run'\" &&
+@@ -211,21 +235,25 @@ IFS=$as_save_IFS
+ 
+ 
+       if test "x$CONFIG_SHELL" != x; then :
+-  # We cannot yet assume a decent shell, so we have to provide a
+-	# neutralization value for shells without unset; and this also
+-	# works around shells that cannot unset nonexistent variables.
+-	# Preserve -v and -x to the replacement shell.
+-	BASH_ENV=/dev/null
+-	ENV=/dev/null
+-	(unset BASH_ENV) >/dev/null 2>&1 && unset BASH_ENV ENV
+-	export CONFIG_SHELL
+-	case $- in # ((((
+-	  *v*x* | *x*v* ) as_opts=-vx ;;
+-	  *v* ) as_opts=-v ;;
+-	  *x* ) as_opts=-x ;;
+-	  * ) as_opts= ;;
+-	esac
+-	exec "$CONFIG_SHELL" $as_opts "$as_myself" ${1+"$@"}
++  export CONFIG_SHELL
++             # We cannot yet assume a decent shell, so we have to provide a
++# neutralization value for shells without unset; and this also
++# works around shells that cannot unset nonexistent variables.
++# Preserve -v and -x to the replacement shell.
++BASH_ENV=/dev/null
++ENV=/dev/null
++(unset BASH_ENV) >/dev/null 2>&1 && unset BASH_ENV ENV
++case $- in # ((((
++  *v*x* | *x*v* ) as_opts=-vx ;;
++  *v* ) as_opts=-v ;;
++  *x* ) as_opts=-x ;;
++  * ) as_opts= ;;
++esac
++exec $CONFIG_SHELL $as_opts "$as_myself" ${1+"$@"}
++# Admittedly, this is quite paranoid, since all the known shells bail
++# out after a failed `exec'.
++$as_echo "$0: could not re-execute with $CONFIG_SHELL" >&2
++exit 255
+ fi
+ 
+     if test x$as_have_required = xno; then :
+@@ -327,6 +355,14 @@ $as_echo X"$as_dir" |
+ 
+ 
+ } # as_fn_mkdir_p
++
++# as_fn_executable_p FILE
++# -----------------------
++# Test if FILE is an executable regular file.
++as_fn_executable_p ()
++{
++  test -f "$1" && test -x "$1"
++} # as_fn_executable_p
+ # as_fn_append VAR VALUE
+ # ----------------------
+ # Append the text in VALUE to the end of the definition contained in VAR. Take
+@@ -448,6 +484,10 @@ as_cr_alnum=$as_cr_Letters$as_cr_digits
+   chmod +x "$as_me.lineno" ||
+     { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2; as_fn_exit 1; }
+ 
++  # If we had to re-execute with $CONFIG_SHELL, we're ensured to have
++  # already done that, so ensure we don't try to do so again and fall
++  # in an infinite loop.  This has already happened in practice.
++  _as_can_reexec=no; export _as_can_reexec
+   # Don't try to exec as it changes $[0], causing all sort of problems
+   # (the dirname of $[0] is not the place where we might find the
+   # original and so on.  Autoconf is especially sensitive to this).
+@@ -482,16 +522,16 @@ if (echo >conf$$.file) 2>/dev/null; then
+     # ... but there are two gotchas:
+     # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
+     # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
+-    # In both cases, we have to default to `cp -p'.
++    # In both cases, we have to default to `cp -pR'.
+     ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
+-      as_ln_s='cp -p'
++      as_ln_s='cp -pR'
+   elif ln conf$$.file conf$$ 2>/dev/null; then
+     as_ln_s=ln
+   else
+-    as_ln_s='cp -p'
++    as_ln_s='cp -pR'
+   fi
+ else
+-  as_ln_s='cp -p'
++  as_ln_s='cp -pR'
+ fi
+ rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
+ rmdir conf$$.dir 2>/dev/null
+@@ -503,28 +543,8 @@ else
+   as_mkdir_p=false
+ fi
+ 
+-if test -x / >/dev/null 2>&1; then
+-  as_test_x='test -x'
+-else
+-  if ls -dL / >/dev/null 2>&1; then
+-    as_ls_L_option=L
+-  else
+-    as_ls_L_option=
+-  fi
+-  as_test_x='
+-    eval sh -c '\''
+-      if test -d "$1"; then
+-	test -d "$1/.";
+-      else
+-	case $1 in #(
+-	-*)set "./$1";;
+-	esac;
+-	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in #((
+-	???[sx]*):;;*)false;;esac;fi
+-    '\'' sh
+-  '
+-fi
+-as_executable_p=$as_test_x
++as_test_x='test -x'
++as_executable_p=as_fn_executable_p
+ 
+ # Sed expression to map a string onto a valid CPP name.
+ as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
+@@ -568,6 +588,8 @@ DEBUG
+ USE_CC
+ HAVE_SVGZ
+ LABLGLDIR
++OCAMLLDCONF
++FINDLIBDIR
+ HAS_NATIVE_DYNLINK
+ HAS_DLL_SUPPORT
+ THREADS_LIB
+@@ -623,6 +645,7 @@ CC
+ RANLIB
+ HAS_PRINTEXC_BACKTRACE
+ ODOC_DEF
++OCAMLFIND
+ CAMLP4O
+ CAMLMKLIB
+ CAMLMKTOP
+@@ -1179,8 +1202,6 @@ target=$target_alias
+ if test "x$host_alias" != x; then
+   if test "x$build_alias" = x; then
+     cross_compiling=maybe
+-    $as_echo "$as_me: WARNING: if you wanted to set the --build type, don't use --host.
+-    If a cross compiler is detected then cross compile mode will be used" >&2
+   elif test "x$build_alias" != "x$host_alias"; then
+     cross_compiling=yes
+   fi
+@@ -1471,9 +1492,9 @@ test -n "$ac_init_help" && exit $ac_status
+ if $ac_init_version; then
+   cat <<\_ACEOF
+ configure
+-generated by GNU Autoconf 2.68
++generated by GNU Autoconf 2.69
+ 
+-Copyright (C) 2010 Free Software Foundation, Inc.
++Copyright (C) 2012 Free Software Foundation, Inc.
+ This configure script is free software; the Free Software Foundation
+ gives unlimited permission to copy, distribute and modify it.
+ _ACEOF
+@@ -1591,7 +1612,7 @@ $as_echo "$ac_try_echo"; } >&5
+ 	 test ! -s conftest.err
+        } && test -s conftest$ac_exeext && {
+ 	 test "$cross_compiling" = yes ||
+-	 $as_test_x conftest$ac_exeext
++	 test -x conftest$ac_exeext
+        }; then :
+   ac_retval=0
+ else
+@@ -1681,7 +1702,7 @@ This file contains any messages produced by compilers while
+ running configure, to aid debugging if configure makes a mistake.
+ 
+ It was created by $as_me, which was
+-generated by GNU Autoconf 2.68.  Invocation command line was
++generated by GNU Autoconf 2.69.  Invocation command line was
+ 
+   $ $0 $@
+ 
+@@ -2048,7 +2069,7 @@ do
+   IFS=$as_save_IFS
+   test -z "$as_dir" && as_dir=.
+     for ac_exec_ext in '' $ac_executable_extensions; do
+-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
++  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+     ac_cv_prog_CAMLC="ocamlc"
+     $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+     break 2
+@@ -2116,7 +2137,7 @@ do
+   IFS=$as_save_IFS
+   test -z "$as_dir" && as_dir=.
+     for ac_exec_ext in '' $ac_executable_extensions; do
+-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
++  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+     ac_cv_prog_CAMLOPT="ocamlopt"
+     $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+     break 2
+@@ -2174,7 +2195,7 @@ do
+   IFS=$as_save_IFS
+   test -z "$as_dir" && as_dir=.
+     for ac_exec_ext in '' $ac_executable_extensions; do
+-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
++  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+     ac_cv_prog_OCAMLCDOTOPT="ocamlc.opt"
+     $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+     break 2
+@@ -2228,7 +2249,7 @@ do
+   IFS=$as_save_IFS
+   test -z "$as_dir" && as_dir=.
+     for ac_exec_ext in '' $ac_executable_extensions; do
+-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
++  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+     ac_cv_prog_OCAMLOPTDOTOPT="ocamlopt.opt"
+     $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+     break 2
+@@ -2282,7 +2303,7 @@ do
+   IFS=$as_save_IFS
+   test -z "$as_dir" && as_dir=.
+     for ac_exec_ext in '' $ac_executable_extensions; do
+-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
++  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+     ac_cv_prog_OCAMLRUN="ocamlrun"
+     $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+     break 2
+@@ -2324,7 +2345,7 @@ do
+   IFS=$as_save_IFS
+   test -z "$as_dir" && as_dir=.
+     for ac_exec_ext in '' $ac_executable_extensions; do
+-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
++  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+     ac_cv_prog_OCAMLDEP="ocamldep"
+     $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+     break 2
+@@ -2366,7 +2387,7 @@ do
+   IFS=$as_save_IFS
+   test -z "$as_dir" && as_dir=.
+     for ac_exec_ext in '' $ac_executable_extensions; do
+-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
++  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+     ac_cv_prog_OCAMLDOC="ocamldoc"

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Brendan Fabeny freebsd_committer 2013-03-05 20:32:05 UTC
State Changed
From-To: open->closed

Fixed.